migrate((db) => {
    const dao = new Dao(db)
    const collection = dao.findCollectionByNameOrId("time_entries")

    const typeField = collection.schema.getFieldByName("type")
    // Add reporting_pay to the existing values
    typeField.options.values = ["regular", "overtime", "standby", "callback", "non_contiguous", "reporting_pay"]

    return dao.saveCollection(collection)
}, (db) => {
    const dao = new Dao(db)
    const collection = dao.findCollectionByNameOrId("time_entries")

    const typeField = collection.schema.getFieldByName("type")
    // Revert back to previous list
    typeField.options.values = ["regular", "overtime", "standby", "callback", "non_contiguous"]

    return dao.saveCollection(collection)
})
